## procmail-lib 1995.08.28-3

=== debian/changelog ===
procmail-lib (1:1995.08.28-3) unstable; urgency=low

  * Update standards version.  Fixes bug #16759

 -- Karl M. Hegbloom <karlheg@debian.org>  Thu,  8 Jan 1998 13:49:58 -0800

procmail-lib (1:1995.08.28-2) unstable; urgency=low

  * use epochs in date-encoded version number (bug #12682)
  * New maintainer

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Tue, 16 Sep 1997 09:36:52 -0700

procmail-lib (950828-1) unstable; urgency=low

  * First Debian release.
  * proclint: perl path changed to /usr/bin/perl.

 -- Karl Sackett <krs@debian.org>  Tue, 3 Dec 1996 13:09:58 -0600

Local variables:
mode: debian-changelog
End:
