=== debian/control ===
Source: procmail-lib
Section: mail
Priority: optional
Maintainer:  Karl M. Hegbloom <karlheg@inetarena.com>
Standards-Version: 2.3.0.1

Package: procmail-lib
Architecture: all
Depends: procmail, perl
Description: A library of useful procmail recipes.
 Includes recipes for auto-acknowledgement of incoming mail, recipes which
 recognize commands in the Subject: header and perform them, recipes to
 extract addresses, and a 'lint' script for procmail scripts.
