## procmail-lib 2004.1216

=== Makefile ===
#	Copyright (C)  Jari Aalto
#	Keywords:      Makefile, procmail
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version

ifneq (,)
This makefile requires GNU Make.
endif

DESTDIR =

.PHONY: all install clean distclean

all:
	@echo "There is nothing to make. See INSTALL."

clean:
	make -C lib	     clean
	make -C lib-stebbens clean
	make -C doc	     clean

distclean: clean

install:
	make -C lib	     install
	make -C lib-stebbens install
	make -C doc	     install

# End of file
