=== debian/changelog ===
procmail-lib (1:2009.1202-6) unstable; urgency=medium

  * QA upload.

  [ Jari Aalto ]
  * debian/control: (Description): Fix typos
  * debian/README.Debian: Fix typos

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Petter Reinholdtsen ]
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Drop fields with obsolete URLs.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Use nongnu.org homepage url in d/copyright.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.4 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Nov 2024 15:23:37 +0100

procmail-lib (1:2009.1202-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #920126)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 21:26:33 -0300

procmail-lib (1:2009.1202-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 19:56:38 +0100

procmail-lib (1:2009.1202-4) unstable; urgency=low

  * debian/control:
    - (Description): Fix typo (Closes: #709327). Thanks to
      Jakub Wilk <jwilk@debian.org>
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update years and adjust list of Debian maintainers to match
      entries in debian/changelog.
    - (Source): Add missing URL (Closes: #709331).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 01 Jun 2013 22:49:50 +0300

procmail-lib (1:2009.1202-3) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control:
    - (Build-Depends): debhelper 9.
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update to Format 1.0.
  * debian/procmail-lib.lintian-overrides
    - New file.
  * debian/rules
    - Simplify to dh(1) rules.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 27 Oct 2012 15:15:13 +0300

procmail-lib (1:2009.1202-2) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/control:
    - (Depends): Add ${misc:Depends} for debhelper (lintian).
    - (Standards-Version): update to 3.8.4.
  * debian/copyright
    - Minor layout update.
  * debian/prerm
    - add #DEBHELPER# (lintian).
  * debian/procmail-lib.examples
    - Move content from 'rules' for dh(1) to use.
  * debian/README.Debian
    - Update content and delete obsolete documentation (2003).
  * debian/rules
    - Remove targets that can be handled by dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Mar 2010 13:25:26 +0200

procmail-lib (1:2009.1202-1) unstable; urgency=low

  * New upstream release
    - document JA_MIME_TYPE (Closes: #388526).
    - lib-stebbens/proclint: Upstream sources contains
      BUGS section that document limitations and
      existing problems (Closes: #41297).
  * debian/control
    - (Standards-Version): update to 3.8.3.
  * debian/procmail-lib.doc-base
    - New file.
  * debian/rules
    - (binary-indep): install upstream changelogs
    - (install): prevent generated *.1 from appearing id Debian diff.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Dec 2009 15:21:36 +0000

procmail-lib (1:2009.0810-1) unstable; urgency=low

  * New upstream release.
    - proclint warns on every argument given (Closes: #508197).
    - proclint better man page (Closes: #440218).
      Thanks to Dan Jacobson <jidanni@jidanni.org>.
    - proclint return an error code (Closes: #460992).
    - proclint warns on every argument given (Closes: #508197).
    - pm-jamime-save.rc does not save MIME attachment (Closes: #422464).
      Patch tanks to "Sándor Bognár" <sandor.bognar@gmail.com>
  * debian/*.prerm
    - Remove old symlink from woody upgrade (Closes: #334268).
  * debian/control
    - (Standards-Version): update to 3.8.2.
    - (Description): new first line.
  * debian/copyright
    - Spell out GPL-2 (lintian).
  * debian/rules
    - (install): use dh_prep (lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 10 Aug 2009 16:47:52 +0000

procmail-lib (1:2008.1108-1) unstable; urgency=low

  * New maintainer (ITA; Closes: #430981).
  * New Upstream Version.
  * debian/compat:
    - Update to 7.
  * debian/control:
    - (Standards-Version): Update to 3.8.0.
    - (Homepage, Vcs-*): New headers.
    - (Description): Broaden the paragraphs.
  * debian/copyright:
    - Update to latest template. Add Debian copyrights.
  * debian/docs::
    - Delete file. No longer needed. New release's Makefile handles
      documentation install.
  * debian/postinst:
    - Delete file. Old (1997) /usr/lib/procmail-lib fix.
  * debian/proclint.1:
    - Delete file. New release includes manual page.
  * debian/rules:
    - (binary-indep): Move rules from binary-arch.
    - (clean): Use package's Makefile.
    - (install): Remove manual file copying and use package's Makefile.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 Nov 2008 19:19:38 +0000

procmail-lib (1:2004.1216-1) unstable; urgency=low

  * QA upload.
  * New Upstream release (Closes: #275057, #322898)
  * Fix description (Closes: #277583, #277584)
  * Set maintainer to QA Group; Orphaned: #430981
  * Bump debhelper compat
  * Move debhelper from B-D-I to B-D
  * Lets use dh_installman instead of dh_installmanapges
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Fri, 13 Jul 2007 07:14:08 +0200

procmail-lib (1:2002.01.02-1) unstable; urgency=low

  * New upstream source includes full old source and new stuff. Described
    in README.Debian.

 -- Elie Rosenblum <fnord@debian.org>  Tue, 26 Aug 2003 15:09:49 -0400

procmail-lib (1:1997.07.22-2) unstable; urgency=low


