=== debian/control ===
Source: procmail-lib
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/procmail-lib
Vcs-Git: https://salsa.debian.org/debian/procmail-lib.git
Homepage: http://savannah.nongnu.org/projects/procmail-lib

Package: procmail-lib
Architecture: all
Depends: perl,
         procmail,
         ${misc:Depends},
Description: Procmail library of plug-in recipes
 Procmail Module Library is a collection of many plug-in modules for
 the Procmail mail processing utility. The modules allow common tasks
 like parsing dates, times, MIME, and email addresses, forwarding
 mail, dealing with POP3, spam shielding, running email cron jobs,
 handling daemon messages, and more.
 .
 Includes also all of Alan Stebben's recipes (the pioneer of Procmail).
