=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= procmail-lib
PKGDIR		= $(shell pwd)/debian/$(PACKAGE)
PKGDOCDIR       = $(PKGDIR)/usr/share/doc/$(PACKAGE)
DIRLINTIAN      = $(PKGDIR)/usr/share/lintian/overrides

override_dh_auto_install:
	# The *.1 might be regenerated by the Makefile. Save and
	# restore original to prevent it from appearing in a Debian
	# diff

	cp lib-stebbens/proclint.1 lib-stebbens/proclint.1.orig
	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install
	mv lib-stebbens/proclint.1.orig lib-stebbens/proclint.1

	# Do not include standard GNU license files in Debian package

	rm -f $(PKGDOCDIR)/lib-stebbens/GNU-LICENSE*
	rm -f $(PKGDOCDIR)/lib-stebbens/Copyright

	# Install Lintian override file

	install -d $(DIRLINTIAN)
	install -m 644 debian/$(PACKAGE).lintian-overrides $(DIRLINTIAN)/$(PACKAGE)

%:
	dh $@

# End of file
