=== debian/watch ===
version=4
http://download.savannah.gnu.org/releases/procmail-lib/ .*procmail-lib-([\d.]+).tar.gz
